﻿Option Strict On
Imports System.Collections.ObjectModel
Imports Newtonsoft.Json

Module Module1

    Sub Main()

        Console.WriteLine("Benchmark wird ausgeführt...")

        Dim InhaltGesamt As New ObservableCollection(Of MP3FileInfoVM)
        Dim stopWatch As New Stopwatch()

        stopWatch.Start()
        InhaltGesamt = JsonConvert.DeserializeObject(Of ObservableCollection(Of MP3FileInfoVM))(System.IO.File.ReadAllText(System.IO.Directory.GetCurrentDirectory & "\musicdata.dtb"))
        stopWatch.Stop()

        Dim ts As TimeSpan = stopWatch.Elapsed

        Console.WriteLine("Deserialisieren: " & ts.Milliseconds.ToString & " Millisekunden")

        stopWatch.Reset()
        stopWatch.Start()
        Dim ZuSpeicherndeDTB As String = JsonConvert.SerializeObject(InhaltGesamt)
        stopWatch.Stop()

        ts = stopWatch.Elapsed

        Console.WriteLine("Serialisieren: " & ts.Milliseconds.ToString & " Millisekunden")

        Console.ReadLine()
    End Sub

End Module
